Subject: Re: Anybody really runs sshd in win2K?
From: "Gerrit P. Haase" <[email-masked]>
To: Rael Gugelmin Cunha <[email-masked]>
Cc: [email-masked]
Date: Mon, 30 Jul 2001 11:06:55 +0200

> Rael Gugelmin Cunha schrieb am 2001-07-27 14:02:

> 
>  Hi Gerrit! Who are you?
>  I try it, but it not works. 
>  Please, can you send me your installation and configuration steps to sshd work?
> 
>  Thanks!!

Gerrit@ISMENE ~
$ ssh-host-config
Generating /etc/ssh_host_key
Generating /etc/ssh_host_rsa_key
Generating /etc/ssh_host_dsa_key
Generating /etc/ssh_config file
Generating /etc/sshd_config file
Added ssh to /cygdrive/c/WINNT/system32/drivers/etc/services

Do you want to install sshd as service?
(Say "no" if it's already installed as service) (yes/no) yes

Which value should the environment variable CYGWIN have when
sshd starts? It's recommended to set at least "ntsec" to be
able to change user context without password.
Default is "binmode ntsec tty".  CYGWIN="binmode ntsec tty"

The service has been installed under LocalSystem account.

Host configuration finished. Have fun!

Gerrit@ISMENE ~
$ /usr/bin/ssh-user-config
Shall I create an SSH1 RSA identity file for you? (yes/no) yes
Generating /home/Gerrit/.ssh/identity
Enter passphrase (empty for no passphrase): 
Enter same passphrase again: 
Do you want to use this identity to login to this machine? (yes/no) yes
Adding to /home/Gerrit/.ssh/authorized_keys
Shall I create an SSH2 RSA identity file for you? (yes/no)  (yes/no) yes
Generating /home/Gerrit/.ssh/id_rsa
Enter passphrase (empty for no passphrase): 
Enter same passphrase again: 
Do you want to use this identity to login to this machine? (yes/no) yes
Adding to /home/Gerrit/.ssh/authorized_keys2
Shall I create an SSH2 DSA identity file for you? (yes/no)  (yes/no) yes
Generating /home/Gerrit/.ssh/id_dsa
Enter passphrase (empty for no passphrase): 
Enter same passphrase again: 
Do you want to use this identity to login to this machine? (yes/no) yes
Adding to /home/Gerrit/.ssh/authorized_keys2

Configuration finished. Have fun!

Gerrit@ISMENE ~
$ cygrunsrv -S sshd

Gerrit@ISMENE ~
$ ssh ismene
The authenticity of host 'ismene (192.168.5.3)' can't be established.
RSA key fingerprint is 32:2b:b2:9a:9a:35:86:94:e3:13:20:4c:6c:ca:d0:9d.
Are you sure you want to continue connecting (yes/no)? yes
Warning: Permanently added 'ismene,192.168.5.3' (RSA) to the list of known hosts.
Enter passphrase for key '/home/Gerrit/.ssh/id_rsa': 
Fanfare!!!
You are successfully logged in to this server!!!

Ciao,

gph

-- 
[email-masked]

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/